Home > Firefox Error > Firefox Error While Loading Shared Libraries Libpangocairo-1.0.so.0

Firefox Error While Loading Shared Libraries Libpangocairo-1.0.so.0

New tech, old clothes How is the Heartbleed exploit even possible? Unfortunately, even with the setting changed globally, firefox still couldn't start - although ldd did find the libraries - so I don't think this is going to solve it, even if VMware Server 2.0 does not run out of the box on Linux 64. get 32-bit frysk's libpangocairo into /usr/lib: # can't seem to get frysk in a friendly wayrpm -ivh --force frysk- -ivh --force frysk- /usr/libcp frysk/libpangocairo-1.0.so.0.1400.10 ./ln -s libpangocairo-1.0.so.0.1400.10 libpangocairo-1.0.so.0ln -s libpangocairo-1.0.so.0 libpangocairo-1.0.soAgain, Source

Still 64 bit lib was being loaded. Pronuncia strana della "s" dopo una "r": un fenomeno romano o di tutta l'Italia? The console output that i get when i run thunderbird is: Gtk-Message: Failed to load module "gnomesegvhandler": /usr/lib/gtk-2.0/modules/libgnomesegvhandler.so: wrong ELF class: ELFCLASS64 /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64 Failed to load module: Having a problem logging in?

Proudly Powered by phpBB © phpBB Group © 1998-2015 mozillaZine All Rights Reserved Home Forums Posting Rules Linux Help & Resources Fedora Set-Up Guides Fedora Magazine Ask Fedora Fedora Project Fedora Now 1 active 2013-06-12 17:37:41,051 INFO Started new X server. Dave Chiluk (chiluk) wrote on 2010-09-25: #19 It works a lot better, but it's still missing im-ibus.so. Ask Ubuntu works best with JavaScript enabled Latest LQ Deal: Linux Power User Bundle Blogs Recent Entries Best Entries Best Blogs Blog List Search Blogs Home Forums HCL Reviews Tutorials Articles

Thread Tools Search this Thread Display Modes #1 18th April 2006, 04:02 PM yinglcs Offline Registered User Join Date: Mar 2006 Posts: 176 error while loading shared libraries: This same application doesn't have issue in 10.04 which also doesn't have a 32-bit im-ibus.so. Dies immediately. Can Dandelion defeat you?

You should try to : uninstall pdfreport server check the checksum of your pdfserver.tar.gz file reinstall pdfreport server with the command tar xvzf pdfserver.tar.gz in etc/apps This worked for me. The lib files are not linked correctly to each other. Posts: 16,276 Rep: Quote: I try to have firefox works. With LD_LIBRARY_PATH, you can set this for only one program, e.g.

I've also added support for generating the loaders.cache by using a 32-bit gdk-pixbuf-query-loaders on 64-bit machines (the patch makes it search in the right place for the modules). blimbo (timnugent) wrote on 2011-05-04: #36 I'm having this problem on Natty too when running acroread: [email protected]:~$ acroread /opt/Adobe/Reader9/Reader/intellinux/bin/acroread: error while loading shared libraries: libgdk_pixbuf_xlib-2.0.so.0: wrong ELF class: ELFCLASS64 [email protected]:~$ apt-cache However when doing an ldd on that library *(following the ldd for agnclient), it points to all the correct libraries. Make all the statements true Appease Your Google Overlords: Draw the "G" Logo Which day of the week is today?

Why is the spacesuit design so strange in Sunshine? The 64bits firefox for EL4 http://mirror.centos.org/centos/4.9/...tos.x86_64.rpm Pack it out and : 'setenv LD_LIBRARY_PATH /usr/evolution28/lib64 && ./firefox' .. Conspicuously absent is a line for libpixbufloader-png.so. more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science

The game doesn't have a .deb package and I used to be able to play it before. this contact form So if you put /usr/local/lib/firefox in there, Arch's firefox will try to use these libraries and fail. Additional issues not related to gdk-pixbuf should be tracked elsewhere Changed in ia32-libs (Ubuntu Maverick): status: Incomplete → Fix Released Dave Chiluk (chiluk) wrote on 2010-09-27: #28 Sorry about that I Is it appropriate to tell my coworker my mom passed away?

Henri Daumas (daumas77) wrote on 2011-05-09: #39 For those of you with an agnclient/gdkpixbuf issue, a practical workaround is to use the /opt/agns/bin/NetVPN.sh script (which in turn uses the cli tool) Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding MembersPowered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc. However, this file doesn't actually exist, and there isn't really any mechanism for creating it - so it falls back to /usr/lib/gdk-pixbuf-2.0/2.10.0/loader.cache which has all of the 64-bit modules in. have a peek here start Mozilla's firefox with "LD_LIBRARY_PATH=/usr/local/lib/firefox /usr/local/bin/firefox".I figured it was something like that but appreciate the explanation.

eric kureck (kureck) wrote on 2011-10-11: #46 I have this problem with db-main, but these fixes have worked. more hot questions about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Other Stack You need to install all those libraries.

I then tried adding/usr/local/lib/firefoxas local-firefox.conf (and ldconfig).

Try to reinstall the app through the tar command (`tar xvzf pdfserver.tar.gz`) and restart splunk. The change had a more dramatic effect on Arch's build of firefox, though - that then just seg-faulted immediately. (So I've undone the changes, obviously, so I at least have a Installed the following packages : fontconfiglibxrender1libxinerama1 Enabled the app in alert_actions.conf Set the Link hostname in Email Alert Settings The staus page shows the following error inside the blue box: Failed I remember the confounding language pack issue.I don't suppose strace could yield some insight into why it's failing or what it's attempting to load (and can't)?strace -e trace=open firefoxCould be helpful,

Affecting: gdk-pixbuf (Ubuntu) Filed here by: Scott Ritchie When: 2010-09-17 Confirmed: 2010-09-23 Assigned: 2010-09-23 Started work: 2010-09-24 Completed: 2010-09-24 Target Distribution Baltix BOSS Juju Charms Collection Elbuntu Guadalinex Guadalinex Edu Kiwi [email protected]:/local/sw/thunderbird$ ./thunderbird /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64 Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so Prior to Thunderbird failing in this dramatic manner, I had installed a kernal patch via http://radu.cotescu.com/how-to-install-vmware-server-ubuntu-fedora-opensuse. Digulla-hepe (digulla-hepe) wrote on 2011-05-15: #42 Since there was no response to the comment here, I've opened a new bug: https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/783155 Maxime Chéramy (maxime81) wrote on 2011-09-30: #43 Bug not solved Check This Out share|improve this answer answered Jan 10 '12 at 23:41 Gilles 371k696751126 add a comment| up vote 1 down vote When you do: ldconfig -v | grep libstdc will you see a

We're not affiliated or endorsed by the Mozilla Corporation but we love them just the same. Install compat-libstdc++ for the architecture that dsktune is for. assist. UbuntuCommunityAsk!DeveloperDesignDiscourseHardwareInsightsJujuShopMore ›AppsHelpForumLaunchpadMAASCanonical current community chat Ask Ubuntu Ask Ubuntu Meta your communities Sign up or log in to customize your list.

It's gotten me out of a bind or two!Edit: From what it looks like, Firefox attempts to load local copies of certain libraries first (if configured, I believe; depends on how Get Started Skip Tutorial Splunk.com Documentation Splunkbase Answers Wiki Blogs Developers Sign Up Sign in FAQ Refine your search: Questions Apps Users Tags Search Home Answers ask a question Badges Tags Please edit your question and state what happens when you try to run the game. nss-3.12.6-2.el4_8.x86_64.rpm is here http://mirror.centos.org/centos/4.9/...4_8.x86_64.rpm 1 members found this post helpful.

is there a way to install libpangocairo-1.0.so.0 into my local and i export the PATH to that folder. For more details see Persona Deprecated. The problem was when the next step required a package called unity-gtk2-module:i386 that depends on unity-gtk-module-common:i386 which doesn't exists anymore. Asked: Jun 12, 2013 at 05:08 AM Seen: 1040 times Last updated: Jul 16, '13 Related Questions Just switched to Free licence - Firefox stops working 2 Answers Firefox is auto-refreshing

Kate Stewart (kate.stewart) on 2010-09-20 Changed in ia32-libs (Ubuntu Maverick): milestone: none → ubuntu-10.10 importance: Undecided → High Robbie Williamson (robbiew) on 2010-09-22 Changed in ia32-libs (Ubuntu Maverick): assignee: nobody → [email protected]:/opt/agns/bin$ ldd ./agnclient linux-gate.so.1 => (0xf77da000) libagnLogc.so.1 => /opt/agns/lib/libagnLogc.so.1 (0xf77bc000) libagnc.so.1 => /opt/agns/lib/libagnc.so.1 (0xf77b2000) libpthread.so.0 => /lib32/libpthread.so.0 (0xf7799000) libm.so.6 => /lib32/libm.so.6 (0xf7773000) libdl.so.2 => /lib32/libdl.so.2 (0xf776f000) libgtk-x11-2.0.so.0 => /usr/lib32/libgtk-x11-2.0.so.0 (0xf735d000) libgdk-x11-2.0.so.0 Should I take this elsewhere? However, all the current patch seems to do is tell gdk-pixbuf to look for a /usr/lib/gdk-pixbuf-2.0/2.10.0/loader.cache.32 (which should have a list of all the 32-bit modules).

Why is it a bad idea for management to have constant access to every employee's inbox? casualzone View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by casualzone 04-11-2011, 01:48 AM #7 knudfl LQ 5k Club Registered: Jan 2008 The pixbuf loaders should be shipped by ia32-libs in /usr/lib32/gtk-2.0/2.10.0/loaders, but that is missing on Maverick (but there on Lucid) Note that gdk-pixbuf was split from gtk this cycle...